Bug 855436 - Spurious LVDS detected on HP T5740
Spurious LVDS detected on HP T5740
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
i686 Linux
high Severity medium
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
: OtherQA, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 14:05 EDT by vricci
Modified: 2013-02-21 01:34 EST (History)
4 users (show)

See Also:
Fixed In Version: kernel-2.6.32-314.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Red Hat Enterprise Linux 6.2 and later HP T5740
Last Closed: 2013-02-21 01:34:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description vricci 2012-09-07 14:05:54 EDT
Description of problem:
Wrong monitor detection when only one monitor is connected through VGA or HDMI.

On HP T5740 with Red Hat Enterprise Linux 6.2 and later, wrong monitor detection when only one monitor is connected through VGA or HDMI:

$ less Xorg.0.log
...
[    19.610] (II) intel(0): Output LVDS1 connected
[    19.610] (II) intel(0): Output VGA1 connected
[    19.610] (II) intel(0): Output HDMI1 disconnected
[    19.610] (II) intel(0): Output DP1 disconnected
[    19.610] (II) intel(0): Using spanning desktop for initial modes
[    19.610] (II) intel(0): Output LVDS1 using initial mode 1024x768 +0+0
[    19.610] (II) intel(0): Output VGA1 using initial mode 1280x1024 +1024+0
...

Temporary workaround:
"xrandr --output LVDS1 --off"


The issue didn' t occur Under RHEL 6.0 (32bit):

drivers = intel_drv.so
module version = 2.11.0
ABI class: X.Org Video Driver, version 6.0
xorg-x11-server-Xorg-1.7.7-26.el6_0.3.i686
xorg-x11-drv-intel-2.11.0-7.el6.i686  
$ cat uname 
Linux 2.6.32-71.18.2.el6.i686 

$ less var/log/Xorg.0.log
...
(II) intel(0): Output VGA1 connected
(II) intel(0): Output HDMI1 disconnected
(II) intel(0): Output DP1 disconnected
(II) intel(0): Output TV1 disconnected
(II) intel(0): Using exact sizes for initial modes
(II) intel(0): Output VGA1 using initial mode 1280x1024 +0+0
...


Version-Release number of selected component (if applicable):
drivers = intel_drv.so
module version = 2.16.0
ABI class: X.Org Video Driver, version 10.0
xorg-x11-server-Xorg-1.10.6-1.el6
xorg-x11-drv-intel-2.16.0-4.el6

$ cat uname
Linux 2.6.32-279.5.1.el6.i686

How reproducible:
Installing Red Hat Enterprise Linux 6.2 and later on HP T5740.
One monitor connected through VGA or HDMI. 
  
Actual results:
Not possible to see any log-in field because on the "pseudo" second monitor.

Expected results:
See the log-in field
Comment 2 Adam Jackson 2012-09-10 16:51:12 EDT
The HP T5740 is a thin client and does not in fact have an LVDS connector.  This is handled in the upstream kernel with a quirk in the i915 driver:

commit 3347111999870c37eab1b969e90af9fdaf0334ba
Author: Jan-Benedict Glaw <jan-benedict.glaw@getslash.de>
Date:   Tue May 22 15:21:53 2012 +0200

    drm/i915: no lvds quirk for HP t5740e Thin Client
    
    This box has DisplayPort and VGA, but no LVDS. Product specs are at
    http://h10010.www1.hp.com/wwpc/us/en/sm/WF25a/12454-12454-321959-338927-3640406-4282707.html?dnr=1
    and dmidecode output can be found at http://www.getslash.de/bug_attachments/dmidecode-t5740e.txt
    
    Signed-off-by: Jan-Benedict Glaw <jbglaw@getslash.de>
    Cc: stable@vger.kernel.org
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
Comment 3 RHEL Product and Program Management 2012-09-10 16:59:04 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 6 Adam Jackson 2012-09-26 11:05:29 EDT
Fix component to kernel since that's where the quirk lives.
Comment 7 RHEL Product and Program Management 2012-09-26 11:10:00 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 29 errata-xmlrpc 2013-02-21 01:34:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.